RDMA_REJECT(3)

NAME
rdma_reject - Called to reject a connection request.

SYNOPSIS
#include <rdma/rdma_cma.h>

int rdma_reject (struct rdma_cm_id *id, const void *private_data, uint8_t private_data_len);

ARGUMENTS

id  Connection identifier associated with the request.

private_data
    Optional private data to send with the reject message.

private_data_len
    Specifies the size of the user-controlled data buffer. Note that the actual amount of data transferred to the remote side is transport dependent and may be larger than that requested.

DESCRIPTION
Called from the listening side to reject a connection or datagram service lookup request.

RETURN VALUE
Returns 0 on success, or -1 on error. If an error occurs, errno will be set to indicate the failure reason.

NOTES
After receiving a connection request event, a user may call rdma_reject to reject the request. If the underlying RDMA transport supports private data in the reject message, the specified data will be passed to the remote side.

SEE ALSO
rdma_listen(3), rdma_accept(3), rdma_get_cm_event(3)